summaryrefslogtreecommitdiffstats
path: root/debian/postinst
diff options
context:
space:
mode:
Diffstat (limited to 'debian/postinst')
-rw-r--r--debian/postinst19
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100644
index 0000000..5ce83d5
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="A Scheme language interpreter" \
+ /usr/share/info/scm.info.gz
+
+install-info --quiet --section "The Algorithmic Language Scheme" \
+ "The Algorithmic Language Scheme" \
+ --description="SCM Language X Interface" \
+ /usr/share/info/Xlibscm.info.gz
+
+# doc base support
+if [ "$1" = configure ]; then
+ if test -x /usr/sbin/install-docs >/dev/null 2>&1; then
+ /usr/sbin/install-docs -i /usr/share/doc-base/scm
+ fi
+fi